﻿@model eCommerce.Services.Model.OcaShipmentOrigin
@{
    ViewBag.Title = "Origen OCA";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Origenes</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("OriginUpdate", "OcaShipmentOrigin", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off"}))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre</label>
                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Localidad</label>
                            <div class="col-sm-2">
                                <select class="form-control" name="ProvinceId" id="ProvinceId" data-plugin="select2">
                                    @if (TempData["Provinces"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Provinces"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" name="City" value="@Model.City" placeholder="Ciudad" />
                            </div>
                            <div class="col-sm-2">
                                <input type="number" class="form-control" name="ZipCode" value="@Model.ZipCode" placeholder="Código Postal" />
                            </div>

                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Dirección</label>
                            <div class="col-sm-3">
                                <input type="text" class="form-control" name="Street" value="@Model.Street" placeholder="Calle"/>
                            </div>
                            <div class="col-sm-2">
                                <input type="number" class="form-control" name="StreetNumber" value="@Model.StreetNumber" placeholder="Número" />
                            </div>
                            <div class="col-sm-2">
                                <input type="number" class="form-control" name="Floor" value="@Model.Floor" placeholder="Piso" />
                            </div>
                            <div class="col-sm-2">
                                <input type="text" class="form-control" name="Department" value="@Model.Department" placeholder="Depto." />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Contacto</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="ContactName" value="@Model.ContactName" placeholder="Nombre" />
                            </div>
                            <div class="col-sm-5">
                                <input type="email" class="form-control" name="Email" value="@Model.Email" placeholder="Email" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Centro de Imposición</label>
                            <div class="col-md-9">
                                <select class="form-control" name="OcaCenterId" id="OcaCenterId" data-plugin="select2" required>
                                    @if (TempData["CentrosDeImposicion"] != null)
                                    {
                                        <option value="">Seleccioná una sucursal</option>
                                        foreach (var item in (SelectList)TempData["CentrosDeImposicion"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>



                        </div>

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/OcaShipmentOrigin'">Cancelar</button>
                            @Html.HiddenFor(model => model.OcaShipmentOriginId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    ProvinceId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Provincia es requerido.'
                            }
                        }
                    },
                    City: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Ciudad es requerido.'
                            }
                        }
                    },
                    ZipCode: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Código Postal es requerido.'
                            }
                        }
                    },
                    Street: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Calle es requerido.'
                            }
                        }
                    },
                    StreetNumber: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Numero de calle es requerido.'
                            }
                        }
                    },
                    Floor: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Piso es requerido.'
                            }
                        }
                    },
                    Department: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Departamento es requerido.'
                            }
                        }
                    },
                    Email: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Email es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

